Jump to content

Template:Change History/styles.css: Difference between revisions

From The Petit Planet Wiki
Stevium changed the content model of the page Template:Change History/styles.css from "CSS" to "Sanitized CSS": TemplateStyles
Added background-color, fixed button overflow and margin issues
Line 1: Line 1:
.change-history-header {
.change-history-header {
     display: inline-flex;
     display: inline-flex;
    flex-wrap: wrap;
     font-size: 88%;
     font-size: 88%;
     margin: 0.5em 0;
     margin: 0.5em 0;
Line 10: Line 11:
     padding: 0.5em;
     padding: 0.5em;
     box-sizing: border-box;
     box-sizing: border-box;
     background: transparent;
     background: var(--background-color-0b);
     border-radius: 4px;
     border-radius: 10px;
}
}


.change-history-content hr + p {
.change-history-content hr + p {
margin-block: 0;
margin-block: 0.7em;
}
}


.change-history-header a.external {
.change-history-header a.external {
     background-image: none !important;
     background-image: none !important;
margin-left: 0.75em;
     padding: 2px 8px;
     padding: 2px 8px;
     border-radius: 20px;
     border-radius: 20px;
Line 29: Line 29:
.change-history-header a.external:hover {
.change-history-header a.external:hover {
     background-color: var(--background-color-3);
     background-color: var(--background-color-3);
    transition: ease 0.2s;
     text-decoration: none;
     text-decoration: none;
}
.change-history-header > div:first-child {
    margin-right: 0.75em;
}
}

Revision as of 06:34, 21 April 2026

.change-history-header {
    display: inline-flex;
    flex-wrap: wrap;
    font-size: 88%;
    margin: 0.5em 0;
}

.change-history-content {
    overflow: auto;
    max-height: 330px;
    padding: 0.5em;
    box-sizing: border-box;
    background: var(--background-color-0b);
    border-radius: 10px;
}

.change-history-content hr + p {
	margin-block: 0.7em;
}

.change-history-header a.external {
    background-image: none !important;
    padding: 2px 8px;
    border-radius: 20px;
    background-color: var(--background-color-2);
    color: var(--color-base);
}

.change-history-header a.external:hover {
    background-color: var(--background-color-3);
    text-decoration: none;
}

.change-history-header > div:first-child {
    margin-right: 0.75em;
}